# Uses of Interface
io.dapr.v1.DaprProtos.PubsubSubscriptionRuleOrBuilder

Packages that use DaprProtos.PubsubSubscriptionRuleOrBuilder
Package
Description
io.dapr.v1

## Uses of DaprProtos.PubsubSubscriptionRuleOrBuilder in io.dapr.v1

Classes in io.dapr.v1 that implement DaprProtos.PubsubSubscriptionRuleOrBuilder
Modifier and Type
Class
Description
`static final class`
`DaprProtos.PubsubSubscriptionRule`
Protobuf type `dapr.proto.runtime.v1.PubsubSubscriptionRule`
`static final class`
`DaprProtos.PubsubSubscriptionRule.Builder`
Protobuf type `dapr.proto.runtime.v1.PubsubSubscriptionRule`
Methods in io.dapr.v1 that return DaprProtos.PubsubSubscriptionRuleOrBuilder
Modifier and Type
Method
Description
`DaprProtos.PubsubSubscriptionRuleOrBuilder`
DaprProtos.PubsubSubscriptionRules.Builder.`getRulesOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`DaprProtos.PubsubSubscriptionRuleOrBuilder`
DaprProtos.PubsubSubscriptionRules.`getRulesOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`DaprProtos.PubsubSubscriptionRuleOrBuilder`
DaprProtos.PubsubSubscriptionRulesOrBuilder.`getRulesOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.PubsubSubscriptionRuleOrBuilder
Modifier and Type
Method
Description
`List<? extends DaprProtos.PubsubSubscriptionRuleOrBuilder>`
DaprProtos.PubsubSubscriptionRules.Builder.`getRulesOrBuilderList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`List<? extends DaprProtos.PubsubSubscriptionRuleOrBuilder>`
DaprProtos.PubsubSubscriptionRules.`getRulesOrBuilderList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`
`List<? extends DaprProtos.PubsubSubscriptionRuleOrBuilder>`
DaprProtos.PubsubSubscriptionRulesOrBuilder.`getRulesOrBuilderList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscriptionRule rules = 1;`